<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://marginConfigurationApproverEdit.caption"
        focusComponent="form">
    <data>
        <instance id="revenueManagementDc"
                  class="com.company.management.entity.RevenueManagement">
            <fetchPlan extends="_base">
                <property name="type" fetchPlan="_base"/>
                <property name="uom" fetchPlan="_base"/>
                <property name="typeTax" fetchPlan="_base"/>
                <property name="uomTax" fetchPlan="_base"/>
                <property name="status" fetchPlan="_base"/>
            </fetchPlan>
            <loader/>
        </instance>
        <collection id="rtTypesStatusDc" class="com.company.management.entity.RtType">
            <fetchPlan extends="_base"/>
            <loader id="rtTypesStatusDl">
                <query>
                    <![CDATA[select e from RtType e
                    where e.code = :code1
                    or e.code = :code2]]>
                </query>
            </loader>
        </collection>
        <collection id="revenueManagementDocsDc" class="com.company.management.entity.RevenueManagementDoc">
            <fetchPlan extends="_base"/>
            <loader id="revenueManagementDocsDl">
                <query>
                    <![CDATA[select e from RevenueManagementDoc e
                    where e.revenueManagement = :revenueManagement1
                    and e.action.code = :actionCode1]]>
                </query>
            </loader>
        </collection>
        <collection id="revenueManagementDocsApprovalDc" class="com.company.management.entity.RevenueManagementDoc">
            <fetchPlan extends="_base"/>
            <loader id="revenueManagementDocsApprovalDl">
                <query>
                    <![CDATA[select e from RevenueManagementDoc e
                    where e.action.code = :actionCode1
                    and e.createdBy = :createdBy1]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true">
            <label value="Approval Page" stylename="bold h3"/>
            <form id="form" dataContainer="revenueManagementDc">
                <column width="350px">
                    <textField id="productFiledId" property="product" editable="false" visible="false"/>
                    <textField id="typeFiledId" property="type.name" editable="false"
                               caption="msg://Type of Fee"/>
                    <textField id="chargeField" property="charge" editable="false"/>
                    <textField id="uomFieldId" property="uom" editable="false" caption="msg://UOM"/>
<!--                    <textField id="minFieldId" property="minRM" editable="false"/>-->
<!--                    <textField id="maxFieldId" property="maxRM" editable="false"/>-->
                    <textField id="taxFieldId" property="typeTax" editable="false" caption="msg://Type of Tax"/>
                    <textField id="valueTaxField" property="valueTax" editable="false"/>
                    <textField id="uomTaxFieldId" property="uomTax" editable="false" caption="msg://UOM Tax"/>
                    <dateField id="efectiveDateField" property="efectiveDate" editable="false" caption="msg://Effective Date"/>
                    <textArea id="remarksFieldId" property="remarks" editable="false" caption="msg://Maker's Remarks"/>
                    <textField id="requestByFieldId" property="requestBy" editable="false"/>
                    <textField id="requestDateFieldId" property="requestDate" editable="false"/>
                </column>
            </form>
            <groupTable dataContainer="revenueManagementDocsDc" width="100%" id="uploadFileTable"
                                        columnHeaderVisible="false" sortable="false"
                                        stylename="borderless" editable="false">
                <actions>
                    <action id="remove" type="remove" visible="false"/>
                </actions>
                <buttonsPanel>
                    <button id="uploadFileTableRemoveBtn" action="uploadFileTable.remove"/>
                </buttonsPanel>
                <columns>
                    <column id="file_upload"/>
                </columns>
            </groupTable>
            <form id="form2" dataContainer="revenueManagementDc">
                <label value="msg://Approver Section" stylename="bold h3"/>
                    <radioButtonGroup id="statusFieldId" orientation="horizontal" dataContainer="revenueManagementDc"
                                      optionsContainer="rtTypesStatusDc" property="status"
                                      editable="false" caption="msg://Status"/>
                    <textArea id="remarks2FieldId" property="remarks2" editable="false" caption="msg://Approver's Remarks"/>
                    <textField id="approveByFieldId" dataContainer="revenueManagementDc" property="approvedBy" editable="false" stylename="borderless" caption="msg://Approved By:"/>
                    <textField id="approveDateFieldId" dataContainer="revenueManagementDc" property="approvedDate" editable="false" stylename="borderless" caption="msg://Approved Date:"/>
            </form>
            <vbox spacing="true"/>
            <vbox id="uploadFileZone">
                <label id="uploadDocuments" value="msg://Upload Document(s)" visible="false" stylename="h4"/>
                <!--                        <vbox id="dropZone"-->
                <!--                              height="150px"-->
                <!--                              spacing="true"-->
                <!--                              stylename="dropzone-container">-->
                <!--                            <label stylename="dropzone-description"-->
                <!--                                   value="Drop file here"-->
                <!--                                   align="MIDDLE_CENTER"/>-->
                <!--                        </vbox>-->
            </vbox>
            <fileMultiUpload id="fileUpload" permittedExtensions=".pdf" accept="*.pdf" visible="false"/>
            <groupTable dataContainer="revenueManagementDocsApprovalDc" width="100%" id="uploadFileTableApproval"
                                        columnHeaderVisible="false" sortable="false"
                                        stylename="borderless">
                <actions>
                    <action id="remove" type="remove" visible="false"/>
                </actions>
                <buttonsPanel>
                    <button id="uploadFileTableApprovalRemoveBtn" action="uploadFileTableApproval.remove"/>
                </buttonsPanel>
                <columns>
                    <column id="file_upload"/>
                    <column id="deleteFileUpload" caption="msg://Action"/>
                </columns>
            </groupTable>
            <vbox id="fileTypes" width="350px">
                <label value="msg://Supported file types: PDF, PNG, JPG"/>
                <label value="msg://Maximum file size: 5MB"/>
            </vbox>
        </scrollBox>
        <hbox id="editActions" spacing="true">
            <button id="saveBtn" caption="msg://Save"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
